com.mysql.cj.protocol

## Class InternalTime

- java.lang.Object
- - com.mysql.cj.protocol.InternalTime

    public class InternalTime
    extends Object

### Field Summary

Fields
`private int` `hours`
`private int` `minutes`
`private int` `nanos`
`private boolean` `negative`
`private int` `scale`
`private int` `seconds`

### Constructor Summary

Constructors
Constructor and Description
`InternalTime()` Constructs a zero time
`InternalTime(int hours, int minutes, int seconds, int nanos, int scale)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static InternalTime` `from(Calendar x, int nanos)`
`static InternalTime` `from(Duration x)`
`static InternalTime` `from(LocalDateTime x)`
`static InternalTime` `from(LocalTime x)`
`static InternalTime` `from(OffsetTime x)`
`int` `getHours()`
`int` `getMinutes()`
`int` `getNanos()`
`int` `getScale()`
`int` `getSeconds()`
`boolean` `isNegative()`
`boolean` `isZero()`
`void` `setHours(int hours)`
`void` `setMinutes(int minutes)`
`void` `setNanos(int nanos)`
`void` `setNegative(boolean negative)`
`void` `setScale(int scale)`
`void` `setSeconds(int seconds)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### negative

    private boolean negative

#### hours

    private int hours

#### minutes

    private int minutes

#### seconds

    private int seconds

#### nanos

    private int nanos

#### scale

    private int scale

### Constructor Detail

#### InternalTime

    public InternalTime()

Constructs a zero time

#### InternalTime

    public InternalTime(int hours,
                        int minutes,
                        int seconds,
                        int nanos,
                        int scale)

### Method Detail

#### from

    public static InternalTime from(LocalTime x)

#### from

    public static InternalTime from(LocalDateTime x)

#### from

    public static InternalTime from(OffsetTime x)

#### from

    public static InternalTime from(Duration x)

#### from

    public static InternalTime from(Calendar x,
                                    int nanos)

#### isNegative

    public boolean isNegative()

#### setNegative

    public void setNegative(boolean negative)

#### getHours

    public int getHours()

#### setHours

    public void setHours(int hours)

#### getMinutes

    public int getMinutes()

#### setMinutes

    public void setMinutes(int minutes)

#### getSeconds

    public int getSeconds()

#### setSeconds

    public void setSeconds(int seconds)

#### getNanos

    public int getNanos()

#### setNanos

    public void setNanos(int nanos)

#### isZero

    public boolean isZero()

#### getScale

    public int getScale()

#### setScale

    public void setScale(int scale)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

Copyright © 2016, 2024, Oracle and/or its affiliates.